Brain
Consolidate a run debrief
Submits a run-end debrief; returns the writeback envelope and the memory proposals it produced.
POST
/
v1
/
brain
/
consolidate
Consolidate a run debrief
curl --request POST \
--url https://api.usenaive.ai/v1/brain/consolidate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"objective": "<string>",
"knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"learned": [
{
"subject": "<string>",
"predicate": "<string>",
"object": "<string>",
"confidence": 0.5,
"quote": "<string>"
}
],
"decided": [
{
"title": "<string>",
"summary": "<string>"
}
],
"open": [
"<string>"
],
"contradicts": [
"<string>"
],
"citations": {}
}
'import requests
url = "https://api.usenaive.ai/v1/brain/consolidate"
payload = {
"objective": "<string>",
"knowledge_base_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"learned": [
{
"subject": "<string>",
"predicate": "<string>",
"object": "<string>",
"confidence": 0.5,
"quote": "<string>"
}
],
"decided": [
{
"title": "<string>",
"summary": "<string>"
}
],
"open": ["<string>"],
"contradicts": ["<string>"],
"citations": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
objective: '<string>',
knowledge_base_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
learned: [
{
subject: '<string>',
predicate: '<string>',
object: '<string>',
confidence: 0.5,
quote: '<string>'
}
],
decided: [{title: '<string>', summary: '<string>'}],
open: ['<string>'],
contradicts: ['<string>'],
citations: {}
})
};
fetch('https://api.usenaive.ai/v1/brain/consolidate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"mode": "<string>",
"envelope": {
"id": "<string>",
"run_id": "<string>",
"idempotency_key": "<string>",
"payload": {},
"error": "<string>",
"created_at": "<string>",
"processed_at": "<string>"
},
"proposals": [
{
"id": "<string>",
"knowledge_base_id": "<string>",
"writeback_envelope_id": "<string>",
"run_id": "<string>",
"artifact_id": "<string>",
"source_episode_id": "<string>",
"route": "<string>",
"title": "<string>",
"summary": "<string>",
"proposed_payload": {},
"evidence": [
{}
],
"scores": {},
"sensitivity": "<string>",
"duplicate_of": "<string>",
"contradicts": [
"<string>"
],
"supersedes": [
"<string>"
],
"reviewer_type": "<string>",
"reviewer_id": "<string>",
"reviewed_by": {
"type": "<string>",
"id": "<string>"
},
"reviewed_at": "<string>",
"decision_reason": "<string>",
"owner": "<string>",
"expires_at": "<string>",
"reverify_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
]
}{
"error": {
"message": "<string>",
"hint": "<string>",
"reason": "<string>"
}
}{
"error": {
"message": "<string>",
"hint": "<string>",
"reason": "<string>"
}
}{
"error": {
"message": "<string>",
"hint": "<string>",
"reason": "<string>"
}
}Authorizations
Workspace API key. Create one via the dashboard or POST /v1/auth/keys.
Body
application/json
What the run was for.
Maximum string length:
4000Target knowledge base.
Facts learned.
Maximum array length:
100Show child attributes
Show child attributes
Decisions made.
Maximum array length:
50Show child attributes
Show child attributes
Open questions.
Maximum array length:
50Maximum string length:
2000Capsule tokens or claim ids contradicted.
Maximum array length:
50Maximum string length:
64Capsule token to claim id map.
Show child attributes
Show child attributes
⌘I
Consolidate a run debrief
